org.eclipse.ease.lang.javascript.rhino.debugger.model

## Class RhinoDebugTarget

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.debug.core.model.DebugElement
    - - org.eclipse.ease.debugging.model.EaseDebugElement
      - - org.eclipse.ease.debugging.model.EaseDebugTarget
        - - org.eclipse.ease.lang.javascript.rhino.debugger.model.RhinoDebugTarget

All Implemented Interfaces:
  IAdaptable, IBreakpointListener, IDebugElement, IDebugTarget, IDisconnect, IMemoryBlockRetrieval, IStep, ISuspendResume, ITerminate, IEventProcessor

    public class RhinoDebugTarget
    extends EaseDebugTarget

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ease.debugging.model.EaseDebugElement

`EaseDebugElement.State`

### Constructor Summary

Constructors
Constructor and Description
`RhinoDebugTarget(ILaunch launch, boolean suspendOnStartup, boolean suspendOnScriptLoad, boolean showDynamicCode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canSuspend()`
`java.lang.String` `getModelIdentifier()`
`java.lang.String` `getName()`
`boolean` `supportsBreakpoint(IBreakpoint breakpoint)`

### Methods inherited from class org.eclipse.ease.debugging.model.EaseDebugTarget

`breakpointAdded, breakpointChanged, breakpointRemoved, cleanupOnTermination, fireDispatchEvent, getDebugTarget, getLaunch, getMemoryBlock, getProcess, getThreads, getUniqueVariableId, handleEvent, hasThreads, isShowDynamicCode, isSuspendOnScriptLoad, isSuspendOnStartup, setDispatcher, setScriptRegistry, supportsStorageRetrieval, toString`

### Methods inherited from class org.eclipse.ease.debugging.model.EaseDebugElement

`canDisconnect, canResume, canStepInto, canStepOver, canStepReturn, canTerminate, disconnect, isDisconnected, isStepping, isSuspended, isTerminated, resume, setResumed, setSuspended, stepInto, stepOver, stepReturn, suspend, terminate`

### Methods inherited from class org.eclipse.debug.core.model.DebugElement

`fireChangeEvent, fireCreationEvent, fireEvent, fireResumeEvent, fireSuspendEvent, fireTerminateEvent, getAdapter`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.model.ITerminate

`canTerminate, isTerminated, terminate`

### Methods inherited from interface org.eclipse.debug.core.model.ISuspendResume

`canResume, isSuspended, resume, suspend`

### Methods inherited from interface org.eclipse.debug.core.model.IDisconnect

`canDisconnect, disconnect, isDisconnected`

### Constructor Detail

#### RhinoDebugTarget

    public RhinoDebugTarget(ILaunch launch,
                            boolean suspendOnStartup,
                            boolean suspendOnScriptLoad,
                            boolean showDynamicCode)

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `IDebugTarget`
Overrides:
  `getName` in class `EaseDebugTarget`

#### supportsBreakpoint

    public boolean supportsBreakpoint(IBreakpoint breakpoint)

#### canSuspend

    public boolean canSuspend()

Specified by:
  `canSuspend` in interface `ISuspendResume`
Overrides:
  `canSuspend` in class `EaseDebugElement`

#### getModelIdentifier

    public java.lang.String getModelIdentifier()

Specified by:
  `getModelIdentifier` in interface `IDebugElement`
Overrides:
  `getModelIdentifier` in class `EaseDebugElement`